Blea ne reconnaît plus mes équipements

Tags: #<Tag:0x00007f282d637778>

Bonjour à tous,

Petit soucis, pas grave mais dérangeant ! J’ai supprimé mon Nut qui fonctionnait mal avec l’intention de le réinstaller. Or, je lance le scan dans Blea et il ne le trouve pas, tout comme d’autres équipements qui ne sont plus reconnaissables !
Avez vous déjà rencontré ce problème ?
Je précise que j’ai réinstallé les dépendances et redémarré jeedom.
Merci d’avance,

Lydie.

Lo,
Peux tu nous donner un peu plus d’informations sur ton installation et fournir les logs du plugin.
Merci,

Bonjour,

J’ai une jeedom smart V3, et je suis sous la version stretch de Debian.

image

Merci d’avance.

Lydie

Bonjour.

L’écran de configuration de blea
Voir si la coche pour inclure les équipements inconnues est bien coché
Voir l’état santé de Jeedom (tout doit être vert)

Bonjour Fabrice,
Je te confirme qu tout est vert et que j’ai bien coché équipements inconnues.
Malgré cela, il ne voit rien, j’ose pas le desinstaller car j’ai tellement galéré à l’installer.

Lydie.

Désinstaller ne servira à rien probablement.
De plus il n’y aura aucun problème à réinstaller les dépendances qui elles ne se désinstallent pas.

Mais on ne reçoit toujours pas beaucoup d’info demandée: juste une capture d’un log qui n’est pas en debug…

Y a-t-il une clé en local ?
Apparement il y a des antennes déportées ?
Sur quoi sont elles installées ?
Version du démon blea que l’antenne ?
Log des dépendances ?
Log des install des antennes ?
Log des antennes ?

2 J'aimes

Bonjour.

Le nut en question, si ce n’est as un find3 ou les nouveaux, il est possible que cela soit du à la pile.
Ou encore, il ne faut pas qu’il soit connecté au smartphone en même temps.

Mais le plus important, reste d’avoir les réponses de @Mips.

Bon courage

2 J'aimes
Lancement de la synchronisation des configurations
Déplacement dans le répertoire de travail
Récupération des sources (cette étape peut durer quelques minutes)
Cloning into 'plugin-blea'...
Suppression des configurations Jeedom existantes
Copie des nouvelles configurations Jeedom
amazfit
awoxmesh
beagle
beewismartdoor
blpnr
default
divoompixoo
divoomtimeboxmini
dotti
dreamscreen
fitbit
flowerpower
gigaset
hector
ibbq4
ibbq6
itag
jinlin
kst1
logiswitch
lywsd02
lywsd03
meyerdom
meyerdom4contacts
miband
miflora
miscale
miscale2
myfox
niu
noke
nut
parrotpot
playbulb
ropot
ruuvi
smartplug
tb05
ticatag
tile
wistiki
xiaomiht
yeelight
Suppression des configurations Blea python existantes
Copie des nouvelles configurations Blea Python
__init__.py
amazfitgtr.py
awoxmesh.py
beagle.py
beewismartdoor.py
blpnr.py
divoompixoo.py
divoomtimeboxmini.py
dotti.py
dreamscreen.py
fitbit.py
gigaset.py
hector.py
ibbq4.py
ibbq6.py
itag.py
jinlin.py
kst1.py
logiswitch.py
lywsd02.py
lywsd03.py
meyerdom2analog.py
meyerdom4contacts.py
meyerdomcontactvocal.py
miband.py
miband2.py
miband3.py
miband4.py
miflora.py
miscale.py
miscale2.py
myfox.py
niu.py
noke.py
nut.py
parrotplant.py
pixoo
playbulb.py
ropot.py
ruuvi.py
smartplug.py
tb05.py
ticatag.py
tile.py
timebox
wistiki.py
xiaomiht.py
yeelight.py
yeelightcandela.py
Nettoyage du répertoire de travail
Vos configurations sont maintenant à jour !
Le démon va se relancer, vous pouvez fermer cette fenêtre

Alors non je n’ai pas d’antennes déportées, j’ai juste installée un clé sur la box.
J’ai peut être installée une antenne à tord !

Merci à toi,

Lydie

Ca c’est après avoir cliqué sur « config modules » je pense, ce n’est pas les logs des dépendances ni du plugin.

  1. log « blea_update »
  2. log « blea » en mode debug
  3. log « blea_local » (de mémoire) en mode debug (il faut relancer le démon)
  4. version démon local
  5. capture de la configuration
********************************************************
*			 Installation des dépendances			 *
********************************************************
Get:2 http://www.deb-multimedia.org stretch InRelease [15.7 kB]
Get:3 http://security.debian.org stretch/updates InRelease [53.0 kB]
Ign:4 http://ftp.debian.org/debian stretch InRelease
Get:5 http://ftp.debian.org/debian stretch-updates InRelease [93.6 kB]
Get:6 http://ftp.debian.org/debian stretch-backports InRelease [91.8 kB]
Get:7 http://ftp.debian.org/debian stretch-proposed-updates InRelease [96.3 kB]
Hit:8 http://ftp.debian.org/debian stretch Release
Hit:9 https://oph.mdrjr.net/meveric all InRelease
Hit:10 https://oph.mdrjr.net/meveric stretch InRelease
Get:11 http://security.debian.org stretch/updates/main Sources [222 kB]
Get:12 http://security.debian.org stretch/updates/main arm64 Packages [519 kB]
Get:13 http://security.debian.org stretch/updates/main Translation-en [237 kB]
Ign:1 https://repo.jeedom.com/odroid stable InRelease
Get:15 https://repo.jeedom.com/odroid stable Release [932 B]
Get:16 https://repo.jeedom.com/odroid stable Release.gpg [659 B]
Fetched 1330 kB in 5s (225 kB/s)
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
libatlas-base-dev is already the newest version (3.10.3-1+b1).
bluetooth is already the newest version (5.43-2+deb9u2).
libbluetooth-dev is already the newest version (5.43-2+deb9u2).
build-essential is already the newest version (12.3).
libffi-dev is already the newest version (3.2.1-6).
libssl-dev is already the newest version (1.1.0l-1~deb9u1).
python3-serial is already the newest version (3.2.1-1).
python3-setuptools is already the newest version (33.1.1-1).
python3-dev is already the newest version (3.5.3-1).
python3-pyudev is already the newest version (0.21.0-1).
python3-requests is already the newest version (2.12.4-1).
rfkill is already the newest version (0.5-1+b1).
libtiff5 is already the newest version (4.0.8-2+deb9u5).
libopenjp2-7 is already the newest version (2.1.2-1.1+deb9u5).
The following packages were automatically installed and are no longer required:
libmemcached11 libmemcachedutil2 libmysqlclient18 libonig2 libpng12-0
libqdbm14 libvpx1 linux-image-3.14.29+ linux-image-arm64-odroid-c2
python-lockfile u-boot-tools
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 196 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
libmemcached11 libmemcachedutil2 libmysqlclient18 libonig2 libpng12-0
libqdbm14 libvpx1 linux-image-3.14.29+ linux-image-arm64-odroid-c2
python-lockfile u-boot-tools
Use 'sudo apt autoremove' to remove them.
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (This frontend requires a controlling tty.)
debconf: falling back to frontend: Teletype
dpkg-preconfigure: unable to re-open stdin:
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 196 not upgraded.
Need to get 0 B/142 kB of archives.
After this operation, 0 B of additional disk space will be used.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 58037 files and directories currently installed.)
Preparing to unpack .../python3-pip_9.0.1-2+deb9u1_all.deb ...
Unpacking python3-pip (9.0.1-2+deb9u1) over (9.0.1-2+deb9u1) ...
Setting up python3-pip (9.0.1-2+deb9u1) ...
Processing triggers for man-db (2.7.6.1-2) ...
Requirement already up-to-date: setuptools in /usr/local/lib/python3.5/dist-packages
Reading package lists...
Building dependency tree...
Reading state information...
git is already the newest version (1:2.11.0-3+deb9u7).
libglib2.0-dev is already the newest version (2.50.3-2+deb9u2).
The following packages were automatically installed and are no longer required:
libmemcached11 libmemcachedutil2 libmysqlclient18 libonig2 libpng12-0
libqdbm14 libvpx1 linux-image-3.14.29+ linux-image-arm64-odroid-c2
python-lockfile u-boot-tools
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 196 not upgraded.
Requirement already satisfied: pyudev in /usr/local/lib/python3.5/dist-packages
Requirement already satisfied: six in /usr/lib/python3/dist-packages (from pyudev)
Requirement already satisfied: pyserial in /usr/local/lib/python3.5/dist-packages
Requirement already satisfied: requests in /usr/local/lib/python3.5/dist-packages
Requirement already satisfied: chardet<4,>=3.0.2 in /usr/local/lib/python3.5/dist-packages (from requests)
Requirement already satisfied: idna<3,>=2.5 in /usr/local/lib/python3.5/dist-packages (from requests)
Requirement already satisfied: urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 in /usr/local/lib/python3.5/dist-packages (from requests)
Requirement already satisfied: certifi>=2017.4.17 in /usr/local/lib/python3.5/dist-packages (from requests)
Requirement already satisfied: pybluez in /usr/local/lib/python3.5/dist-packages
Requirement already satisfied: pillow in /usr/local/lib/python3.5/dist-packages
Collecting numpy
Using cached https://files.pythonhosted.org/packages/01/1b/d3ddcabd5817be02df0e6ee20d64f77ff6d0d97f83b77f65e98c8a651981/numpy-1.18.5.zip
Building wheels for collected packages: numpy
Running setup.py bdist_wheel for numpy: started
Running setup.py bdist_wheel for numpy: finished with status 'error'
Complete output from command /usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-dbeysoyt/numpy/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('
', '
');f.close();exec(compile(code, __file__, 'exec'))" bdist_wheel -d /tmp/tmpvgcuw711pip-wheel- --python-tag cp35:
Running from numpy source directory.
Cythonizing sources
Processing numpy/random/_bounded_integers.pxd.in
Processing numpy/random/mtrand.pyx
Traceback (most recent call last):
File "/tmp/pip-build-dbeysoyt/numpy/tools/cythonize.py", line 61, in process_pyx
from Cython.Compiler.Version import version as cython_version
ImportError: No module named 'Cython'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/tmp/pip-build-dbeysoyt/numpy/tools/cythonize.py", line 238, in <module>
main()
File "/tmp/pip-build-dbeysoyt/numpy/tools/cythonize.py", line 234, in main
find_process_files(root_dir)
File "/tmp/pip-build-dbeysoyt/numpy/tools/cythonize.py", line 225, in find_process_files
process(root_dir, fromfile, tofile, function, hash_db)
File "/tmp/pip-build-dbeysoyt/numpy/tools/cythonize.py", line 191, in process
processor_function(fromfile, tofile)
File "/tmp/pip-build-dbeysoyt/numpy/tools/cythonize.py", line 66, in process_pyx
raise OSError('Cython needs to be installed in Python as a module')
OSError: Cython needs to be installed in Python as a module
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/tmp/pip-build-dbeysoyt/numpy/setup.py", line 488, in <module>
setup_package()
File "/tmp/pip-build-dbeysoyt/numpy/setup.py", line 469, in setup_package
generate_cython()
File "/tmp/pip-build-dbeysoyt/numpy/setup.py", line 275, in generate_cython
raise RuntimeError("Running cythonize failed!")
RuntimeError: Running cythonize failed!
----------------------------------------
Failed building wheel for numpy
Running setup.py clean for numpy
Complete output from command /usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-dbeysoyt/numpy/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('
', '
');f.close();exec(compile(code, __file__, 'exec'))" clean --all:
Running from numpy source directory.
`setup.py clean` is not supported, use one of the following instead:
- `git clean -xdf` (cleans all files)
- `git clean -Xdf` (cleans all versioned files, doesn't touch
files that aren't checked into the git repo)
Add `--force` to your command to use it anyway if you must (unsupported).
----------------------------------------
Failed cleaning build dir for numpy
Failed to build numpy
Installing collected packages: numpy
Running setup.py install for numpy: started
Running setup.py install for numpy: finished with status 'error'
Complete output from command /usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-dbeysoyt/numpy/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('
', '
');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-5qrdn2y1-record/install-record.txt --single-version-externally-managed --compile:
Running from numpy source directory.
Note: if you need reliable uninstall behavior, then install
with pip instead of using `setup.py install`:
- `pip install .`       (from a git repo or downloaded source
release)
- `pip install numpy`   (last NumPy release on PyPi)
Cythonizing sources
numpy/random/_bounded_integers.pxd.in has not changed
Processing numpy/random/mtrand.pyx
Traceback (most recent call last):
File "/tmp/pip-build-dbeysoyt/numpy/tools/cythonize.py", line 61, in process_pyx
from Cython.Compiler.Version import version as cython_version
ImportError: No module named 'Cython'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/tmp/pip-build-dbeysoyt/numpy/tools/cythonize.py", line 238, in <module>
main()
File "/tmp/pip-build-dbeysoyt/numpy/tools/cythonize.py", line 234, in main
find_process_files(root_dir)
File "/tmp/pip-build-dbeysoyt/numpy/tools/cythonize.py", line 225, in find_process_files
process(root_dir, fromfile, tofile, function, hash_db)
File "/tmp/pip-build-dbeysoyt/numpy/tools/cythonize.py", line 191, in process
processor_function(fromfile, tofile)
File "/tmp/pip-build-dbeysoyt/numpy/tools/cythonize.py", line 66, in process_pyx
raise OSError('Cython needs to be installed in Python as a module')
OSError: Cython needs to be installed in Python as a module
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/tmp/pip-build-dbeysoyt/numpy/setup.py", line 488, in <module>
setup_package()
File "/tmp/pip-build-dbeysoyt/numpy/setup.py", line 469, in setup_package
generate_cython()
File "/tmp/pip-build-dbeysoyt/numpy/setup.py", line 275, in generate_cython
raise RuntimeError("Running cythonize failed!")
RuntimeError: Running cythonize failed!
----------------------------------------
Command "/usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-dbeysoyt/numpy/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('
', '
');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-5qrdn2y1-record/install-record.txt --single-version-externally-managed --compile" failed with error code 1 in /tmp/pip-build-dbeysoyt/numpy/
Cloning into 'bluepy'...
running build
running build_py
creating build
creating build/lib
creating build/lib/bluepy
copying bluepy/thingy52.py -> build/lib/bluepy
copying bluepy/sensortag.py -> build/lib/bluepy
copying bluepy/scanner.py -> build/lib/bluepy
copying bluepy/scan_fuzz.py -> build/lib/bluepy
copying bluepy/get_services.py -> build/lib/bluepy
copying bluepy/btle.py -> build/lib/bluepy
copying bluepy/blescan.py -> build/lib/bluepy
copying bluepy/__init__.py -> build/lib/bluepy
copying bluepy/uuids.json -> build/lib/bluepy
copying bluepy/bluez-src.tgz -> build/lib/bluepy
copying bluepy/bluepy-helper.c -> build/lib/bluepy
copying bluepy/Makefile -> build/lib/bluepy
running install
Working dir is /tmp/bluepy
execute make -C ./bluepy clean
execute make -C bluepy -j1
running build
running build_py
copying bluepy/bluepy-helper -> build/lib/bluepy
running install_lib
copying build/lib/bluepy/bluepy-helper -> /usr/local/lib/python3.5/dist-packages/bluepy
copying build/lib/bluepy/Makefile -> /usr/local/lib/python3.5/dist-packages/bluepy
copying build/lib/bluepy/bluepy-helper.c -> /usr/local/lib/python3.5/dist-packages/bluepy
copying build/lib/bluepy/bluez-src.tgz -> /usr/local/lib/python3.5/dist-packages/bluepy
copying build/lib/bluepy/uuids.json -> /usr/local/lib/python3.5/dist-packages/bluepy
copying build/lib/bluepy/__init__.py -> /usr/local/lib/python3.5/dist-packages/bluepy
copying build/lib/bluepy/blescan.py -> /usr/local/lib/python3.5/dist-packages/bluepy
copying build/lib/bluepy/btle.py -> /usr/local/lib/python3.5/dist-packages/bluepy
copying build/lib/bluepy/get_services.py -> /usr/local/lib/python3.5/dist-packages/bluepy
copying build/lib/bluepy/scan_fuzz.py -> /usr/local/lib/python3.5/dist-packages/bluepy
copying build/lib/bluepy/scanner.py -> /usr/local/lib/python3.5/dist-packages/bluepy
copying build/lib/bluepy/sensortag.py -> /usr/local/lib/python3.5/dist-packages/bluepy
copying build/lib/bluepy/thingy52.py -> /usr/local/lib/python3.5/dist-packages/bluepy
byte-compiling /usr/local/lib/python3.5/dist-packages/bluepy/__init__.py to __init__.cpython-35.pyc
byte-compiling /usr/local/lib/python3.5/dist-packages/bluepy/blescan.py to blescan.cpython-35.pyc
byte-compiling /usr/local/lib/python3.5/dist-packages/bluepy/btle.py to btle.cpython-35.pyc
byte-compiling /usr/local/lib/python3.5/dist-packages/bluepy/get_services.py to get_services.cpython-35.pyc
byte-compiling /usr/local/lib/python3.5/dist-packages/bluepy/scan_fuzz.py to scan_fuzz.cpython-35.pyc
byte-compiling /usr/local/lib/python3.5/dist-packages/bluepy/scanner.py to scanner.cpython-35.pyc
byte-compiling /usr/local/lib/python3.5/dist-packages/bluepy/sensortag.py to sensortag.cpython-35.pyc
byte-compiling /usr/local/lib/python3.5/dist-packages/bluepy/thingy52.py to thingy52.cpython-35.pyc
running install_egg_info
running egg_info
creating bluepy.egg-info
writing dependency_links to bluepy.egg-info/dependency_links.txt
writing bluepy.egg-info/PKG-INFO
writing entry points to bluepy.egg-info/entry_points.txt
writing top-level names to bluepy.egg-info/top_level.txt
writing manifest file 'bluepy.egg-info/SOURCES.txt'
reading manifest file 'bluepy.egg-info/SOURCES.txt'
writing manifest file 'bluepy.egg-info/SOURCES.txt'
removing '/usr/local/lib/python3.5/dist-packages/bluepy-1.1.4-py3.5.egg-info' (and everything under it)
Copying bluepy.egg-info to /usr/local/lib/python3.5/dist-packages/bluepy-1.1.4-py3.5.egg-info
running install_scripts
Installing sensortag script to /usr/local/bin
Installing blescan script to /usr/local/bin
Installing thingy52 script to /usr/local/bin
Requirement already satisfied: cryptography in /usr/local/lib/python3.5/dist-packages
Requirement already satisfied: six>=1.4.1 in /usr/lib/python3/dist-packages (from cryptography)
Requirement already satisfied: cffi!=1.11.3,>=1.8 in /usr/local/lib/python3.5/dist-packages (from cryptography)
Requirement already satisfied: pycparser in /usr/local/lib/python3.5/dist-packages (from cffi!=1.11.3,>=1.8->cryptography)
Requirement already satisfied: pycrypto in /usr/local/lib/python3.5/dist-packages
********************************************************
*			 Installation terminée					*
********************************************************
[2020-07-29 21:50:27][INFO] : This is a heartbeat from antenna local
[2020-07-29 21:51:23][INFO] : This is a heartbeat from antenna local
[2020-07-29 21:52:19][INFO] : This is a heartbeat from antenna local
[2020-07-29 21:53:15][INFO] : This is a heartbeat from antenna local
[2020-07-29 21:54:11][INFO] : This is a heartbeat from antenna local
[2020-07-29 21:55:07][INFO] : This is a heartbeat from antenna local
[2020-07-29 21:56:03][INFO] : This is a heartbeat from antenna local
[2020-07-29 21:56:59][INFO] : This is a heartbeat from antenna local
[2020-07-29 21:57:55][INFO] : This is a heartbeat from antenna local
[2020-07-29 21:58:51][INFO] : This is a heartbeat from antenna local
[2020-07-29 21:59:47][INFO] : This is a heartbeat from antenna local
[2020-07-29 22:00:43][INFO] : This is a heartbeat from antenna local
[2020-07-29 22:01:39][INFO] : This is a heartbeat from antenna local
[2020-07-29 22:02:35][INFO] : This is a heartbeat from antenna local
[2020-07-29 22:03:31][INFO] : This is a heartbeat from antenna local
[2020-07-29 22:04:27][INFO] : This is a heartbeat from antenna local
[2020-07-29 22:05:23][INFO] : This is a heartbeat from antenna local
[2020-07-29 22:06:19][INFO] : This is a heartbeat from antenna local
[2020-07-29 22:07:15][INFO] : This is a heartbeat from antenna local
[2020-07-29 22:08:11][INFO] : This is a heartbeat from antenna local
[2020-07-29 22:09:07][INFO] : This is a heartbeat from antenna local
[2020-07-29 22:10:03][INFO] : This is a heartbeat from antenna local
[2020-07-29 22:10:59][INFO] : This is a heartbeat from antenna local
[2020-07-29 22:11:55][INFO] : This is a heartbeat from antenna local
[2020-07-29 22:12:51][INFO] : This is a heartbeat from antenna local
[2020-07-29 22:13:47][INFO] : This is a heartbeat from antenna local
[2020-07-29 22:14:43][INFO] : This is a heartbeat from antenna local
[2020-07-29 22:15:39][INFO] : This is a heartbeat from antenna local
[2020-07-29 22:16:35][INFO] : This is a heartbeat from antenna local
[2020-07-29 22:17:31][INFO] : This is a heartbeat from antenna local
[2020-07-29 22:18:27][INFO] : This is a heartbeat from antenna local
[2020-07-30 23:17:19][ERROR] : Erreur sur la fonction deamon_start du plugin : Vous devez attendre au moins 45 secondes entre deux lancements du démon. Dernier lancement : 2020-07-30 23:17:07


[2020-08-02 12:41:40.354][INFO] : GLOBAL------Start blead
[2020-08-02 12:41:40.355][INFO] : GLOBAL------Log level : debug
[2020-08-02 12:41:40.355][INFO] : GLOBAL------Socket port : 55008
[2020-08-02 12:41:40.355][INFO] : GLOBAL------Socket host : 127.0.0.1
[2020-08-02 12:41:40.355][INFO] : GLOBAL------Device : hci0
[2020-08-02 12:41:40.356][INFO] : GLOBAL------PID file : /tmp/jeedom/blea/deamon.pid
[2020-08-02 12:41:40.356][INFO] : GLOBAL------Apikey : hraydP46eKYP7S5vHZnORKuteMrJErmh
[2020-08-02 12:41:40.356][INFO] : GLOBAL------Callback : http://127.0.0.1:80/plugins/blea/core/php/jeeBlea.php
[2020-08-02 12:41:40.356][INFO] : GLOBAL------Cycle : 0.3
[2020-08-02 12:41:40.357][INFO] : GLOBAL------Scan interval  : 29
[2020-08-02 12:41:40.357][INFO] : GLOBAL------Number for no seen : 4
[2020-08-02 12:41:40.357][INFO] : GLOBAL------Scan Mode : passive
[2020-08-02 12:41:40.416][INFO] : LOADER------Import de la configuration devices.amazfitgtr
[2020-08-02 12:41:40.418][INFO] : LOADER------Import de la configuration devices.awoxmesh
[2020-08-02 12:41:40.430][INFO] : LOADER------Import de la configuration devices.beagle
[2020-08-02 12:41:40.432][INFO] : LOADER------Import de la configuration devices.beewismartdoor
[2020-08-02 12:41:40.434][INFO] : LOADER------Import de la configuration devices.blpnr
[2020-08-02 12:41:40.437][INFO] : LOADER------Import de la configuration devices.divoompixoo
[2020-08-02 12:41:40.523][DEBUG] : Impossible d'importer devices.divoompixoo : No module named 'numpy'
[2020-08-02 12:41:40.524][INFO] : LOADER------Import de la configuration devices.divoomtimeboxmini
[2020-08-02 12:41:40.532][DEBUG] : Impossible d'importer devices.divoomtimeboxmini : No module named 'numpy'
[2020-08-02 12:41:40.533][INFO] : LOADER------Import de la configuration devices.dotti
[2020-08-02 12:41:40.535][INFO] : LOADER------Import de la configuration devices.dreamscreen
[2020-08-02 12:41:40.536][INFO] : LOADER------Import de la configuration devices.fitbit
[2020-08-02 12:41:40.538][INFO] : LOADER------Import de la configuration devices.gigaset
[2020-08-02 12:41:40.540][INFO] : LOADER------Import de la configuration devices.hector
[2020-08-02 12:41:40.542][INFO] : LOADER------Import de la configuration devices.itag
[2020-08-02 12:41:40.543][INFO] : LOADER------Import de la configuration devices.jinlin
[2020-08-02 12:41:40.545][INFO] : LOADER------Import de la configuration devices.kst1
[2020-08-02 12:41:40.547][INFO] : LOADER------Import de la configuration devices.logiswitch
[2020-08-02 12:41:40.548][INFO] : LOADER------Import de la configuration devices.lywsd02
[2020-08-02 12:41:40.551][INFO] : LOADER------Import de la configuration devices.meyerdom2analog
[2020-08-02 12:41:40.553][INFO] : LOADER------Import de la configuration devices.meyerdom4contacts
[2020-08-02 12:41:40.554][INFO] : LOADER------Import de la configuration devices.meyerdomcontactvocal
[2020-08-02 12:41:40.556][INFO] : LOADER------Import de la configuration devices.miband
[2020-08-02 12:41:40.558][INFO] : LOADER------Import de la configuration devices.miband2
[2020-08-02 12:41:40.560][INFO] : LOADER------Import de la configuration devices.miband3
[2020-08-02 12:41:40.562][INFO] : LOADER------Import de la configuration devices.miband4
[2020-08-02 12:41:40.563][INFO] : LOADER------Import de la configuration devices.miflora
[2020-08-02 12:41:40.565][INFO] : LOADER------Import de la configuration devices.miscale
[2020-08-02 12:41:40.568][INFO] : LOADER------Import de la configuration devices.miscale2
[2020-08-02 12:41:40.570][INFO] : LOADER------Import de la configuration devices.myfox
[2020-08-02 12:41:40.572][INFO] : LOADER------Import de la configuration devices.niu
[2020-08-02 12:41:40.573][INFO] : LOADER------Import de la configuration devices.noke
[2020-08-02 12:41:40.575][INFO] : LOADER------Import de la configuration devices.nut
[2020-08-02 12:41:40.577][INFO] : LOADER------Import de la configuration devices.parrotplant
[2020-08-02 12:41:40.580][INFO] : LOADER------Import de la configuration devices.pixoo
[2020-08-02 12:41:40.581][INFO] : LOADER------Import de la configuration devices.pixoo.divoom_image
[2020-08-02 12:41:40.582][INFO] : LOADER------Import de la configuration devices.pixoo.messages
[2020-08-02 12:41:40.583][INFO] : LOADER------Import de la configuration devices.pixoo.timebox
[2020-08-02 12:41:40.583][INFO] : LOADER------Import de la configuration devices.pixoo.timeboximage
[2020-08-02 12:41:40.583][INFO] : LOADER------Import de la configuration devices.playbulb
[2020-08-02 12:41:40.585][INFO] : LOADER------Import de la configuration devices.ropot
[2020-08-02 12:41:40.587][INFO] : LOADER------Import de la configuration devices.ruuvi
[2020-08-02 12:41:40.589][INFO] : LOADER------Import de la configuration devices.smartplug
[2020-08-02 12:41:40.591][INFO] : LOADER------Import de la configuration devices.tb05
[2020-08-02 12:41:40.592][INFO] : LOADER------Import de la configuration devices.ticatag
[2020-08-02 12:41:40.594][INFO] : LOADER------Import de la configuration devices.tile
[2020-08-02 12:41:40.596][INFO] : LOADER------Import de la configuration devices.timebox
[2020-08-02 12:41:40.597][INFO] : LOADER------Import de la configuration devices.timebox.divoom_image
[2020-08-02 12:41:40.598][INFO] : LOADER------Import de la configuration devices.timebox.messages
[2020-08-02 12:41:40.599][INFO] : LOADER------Import de la configuration devices.timebox.timebox
[2020-08-02 12:41:40.599][INFO] : LOADER------Import de la configuration devices.timebox.timeboximage
[2020-08-02 12:41:40.600][INFO] : LOADER------Import de la configuration devices.wistiki
[2020-08-02 12:41:40.601][INFO] : LOADER------Import de la configuration devices.xiaomiht
[2020-08-02 12:41:40.603][INFO] : LOADER------Import de la configuration devices.yeelight
[2020-08-02 12:41:40.605][INFO] : LOADER------Import de la configuration devices.yeelightcandela
[2020-08-02 12:41:40.650][DEBUG] : Writing PID 17115 to /tmp/jeedom/blea/deamon.pid
[2020-08-02 12:41:40.652][DEBUG] : Init request module v2.23.0
[2020-08-02 12:41:40.675][DEBUG] : Starting new HTTP connection (1): 127.0.0.1:80
[2020-08-02 12:41:40.691][DEBUG] : http://127.0.0.1:80 "GET /plugins/blea/core/php/jeeBlea.php?apikey=hraydP46eKYP7S5vHZnORKuteMrJErmh HTTP/1.1" 200 0
[2020-08-02 12:41:40.696][DEBUG] : Socket interface started
[2020-08-02 12:41:40.697][DEBUG] : LoopNetServer Thread started
[2020-08-02 12:41:40.698][INFO] : GLOBAL------Start listening...
[2020-08-02 12:41:40.698][DEBUG] : Listening on: [127.0.0.1:55008]
[2020-08-02 12:41:40.699][INFO] : GLOBAL------Preparing Scanner...
[2020-08-02 12:41:40.701][DEBUG] : Send to jeedom :  {'source': 'local', 'learn_mode': 0}
[2020-08-02 12:41:40.709][DEBUG] : Starting new HTTP connection (1): 127.0.0.1:80
[2020-08-02 12:41:40.710][DEBUG] : GLOBAL------Read Socket Thread Launched
[2020-08-02 12:41:40.720][DEBUG] : GLOBAL------Read Device Thread Launched
[2020-08-02 12:41:40.721][DEBUG] : GLOBAL------Heartbeat Thread Launched
[2020-08-02 12:41:40.722][DEBUG] : Send to jeedom :  {'started': 1, 'source': 'local', 'version': '2.9'}
[2020-08-02 12:41:40.732][DEBUG] : Starting new HTTP connection (1): 127.0.0.1:80
[2020-08-02 12:41:40.736][DEBUG] : http://127.0.0.1:80 "POST /plugins/blea/core/php/jeeBlea.php?apikey=hraydP46eKYP7S5vHZnORKuteMrJErmh HTTP/1.1" 200 0
[2020-08-02 12:41:40.768][DEBUG] : Client connected to [127.0.0.1:58348]
[2020-08-02 12:41:40.769][DEBUG] : Message read from socket: b'{"apikey":"hraydP46eKYP7S5vHZnORKuteMrJErmh","cmd":"add","device":{"id":"D9:88:69:60:F6:31","delay":0,"needsrefresh":0,"name":"miband3","refreshlist":[],"islocked":0,"emitterallowed":"local","refresherallowed":"local","specificconfiguration":[],"absent":"","type":"","model":"miband\/miband3"}}'
[2020-08-02 12:41:40.770][DEBUG] : Client disconnected from [127.0.0.1:58348]
[2020-08-02 12:41:40.772][DEBUG] : Client connected to [127.0.0.1:58349]
[2020-08-02 12:41:40.773][DEBUG] : Message read from socket: b'{"apikey":"hraydP46eKYP7S5vHZnORKuteMrJErmh","cmd":"ready"}'
[2020-08-02 12:41:40.773][DEBUG] : Client disconnected from [127.0.0.1:58349]
[2020-08-02 12:41:40.777][DEBUG] : http://127.0.0.1:80 "POST /plugins/blea/core/php/jeeBlea.php?apikey=hraydP46eKYP7S5vHZnORKuteMrJErmh HTTP/1.1" 200 0
[2020-08-02 12:41:41.009][DEBUG] : SOCKET-READ------Message received in socket JEEDOM_SOCKET_MESSAGE
[2020-08-02 12:41:41.010][DEBUG] : SOCKET-READ------Received command from jeedom : add
[2020-08-02 12:41:41.010][DEBUG] : SOCKET-READ------Add device : {'type': '', 'delay': 0, 'refresherallowed': 'local', 'emitterallowed': 'local', 'absent': '', 'refreshlist': [], 'islocked': 0, 'id': 'D9:88:69:60:F6:31', 'name': 'miband3', 'model': 'miband/miband3', 'needsrefresh': 0, 'specificconfiguration': []}
[2020-08-02 12:41:41.311][DEBUG] : SOCKET-READ------Message received in socket JEEDOM_SOCKET_MESSAGE
[2020-08-02 12:41:41.312][DEBUG] : SOCKET-READ------Received command from jeedom : ready
[2020-08-02 12:41:41.312][DEBUG] : Daemon is ready

Mips,

la version du demon local est la 2.9
image

Merci

Il y a beaucoup de paquets qui mériteraient d’être mis à jour sur ta distribution.

sudo apt-get update && sudo apt-get upgrade

il y a des erreurs sur les dépendances de numpy mais à priori ce n’est utilisé que pour certains devices donc ca ne devrait pas être bloquant.
Sinon je ne vois rien d’anormal jusque là.

Active le « scan » à présent et montre le log « blea » et « blea_local » ensuite

[2020-08-02 14:40:43][INFO] : This is a heartbeat from antenna local
[2020-08-02 14:41:36][INFO] : Launching remotes ...
[2020-08-02 14:41:39][INFO] : Lancement démon blea : sudo /usr/bin/python3 /var/www/html/plugins/blea/resources/blead/blead.py --loglevel debug --device hci0 --socketport 55008 --sockethost 127.0.0.1 --callback http://127.0.0.1:80/plugins/blea/core/php/jeeBlea.php --apikey hraydP46eKYP7S5vHZnORKuteMrJErmh --daemonname local --noseeninterval 4 --scaninterval 29 --scanmode passive --pid /tmp/jeedom/blea/deamon.pid
[2020-08-02 14:41:40][INFO] : Antenna local alive sending known devices
[2020-08-02 14:41:40][INFO] : Sending ready to daemons
[2020-08-02 14:41:41][INFO] : Launching remotes ...
[2020-08-02 14:42:35][INFO] : This is a heartbeat from antenna local
[2020-08-02 14:43:31][INFO] : This is a heartbeat from antenna local
[2020-08-02 14:44:27][INFO] : This is a heartbeat from antenna local
[2020-08-02 14:45:23][INFO] : This is a heartbeat from antenna local
[2020-08-02 14:46:19][INFO] : This is a heartbeat from antenna local
[2020-08-02 14:47:15][INFO] : This is a heartbeat from antenna local
[2020-08-02 14:47:29][INFO] : Launching remotes ...
[2020-08-02 14:47:31][INFO] : Lancement démon blea : sudo /usr/bin/python3 /var/www/html/plugins/blea/resources/blead/blead.py --loglevel debug --device hci0 --socketport 55008 --sockethost 127.0.0.1 --callback http://127.0.0.1:80/plugins/blea/core/php/jeeBlea.php --apikey hraydP46eKYP7S5vHZnORKuteMrJErmh --daemonname local --noseeninterval 4 --scaninterval 29 --scanmode passive --pid /tmp/jeedom/blea/deamon.pid
[2020-08-02 14:47:33][INFO] : Antenna local alive sending known devices
[2020-08-02 14:47:33][INFO] : Sending ready to daemons
[2020-08-02 14:47:33][INFO] : Launching remotes ...
[2020-08-02 14:48:27][INFO] : This is a heartbeat from antenna local
[2020-08-02 14:49:23][INFO] : This is a heartbeat from antenna local
[2020-08-02 14:50:19][INFO] : This is a heartbeat from antenna local
[2020-08-02 14:51:15][INFO] : This is a heartbeat from antenna local
[2020-08-02 14:52:11][INFO] : This is a heartbeat from antenna local
[2020-08-02 14:53:07][INFO] : This is a heartbeat from antenna local
[2020-08-02 14:54:03][INFO] : This is a heartbeat from antenna local
[2020-08-02 14:54:59][INFO] : This is a heartbeat from antenna local
[2020-08-02 14:55:55][INFO] : This is a heartbeat from antenna local
[2020-08-02 14:56:01][INFO] : This is a learn from antenna local
[2020-08-02 14:56:51][INFO] : This is a heartbeat from antenna local

et le log « blea_local » ?

N’envoies pas les infos en message privé stp.

donc extrait du log du démon:

[2020-08-02 13:01:09.746][DEBUG] : SCANNER------It’s a unknown packet and I known this device so I send 48:cf:6c:52:57:ca
[2020-08-02 13:01:09.746][INFO] : First Time SEEEEEEEEEN------48:CF:6C:52:57:CA || {‹ 48:CF:6C:52:57:CA ›: {‹ lastseen ›: 1596373269, ‹ present ›: 1}}
[2020-08-02 13:01:09.747][DEBUG] : {‹ present ›: 1, ‹ type ›: ‹ default ›, ‹ rssi ›: -84, ‹ id ›: ‹ 48:CF:6C:52:57:CA ›, ‹ source ›: ‹ local ›, ‹ name ›: ‹ default ›}
[2020-08-02 13:01:09.864][DEBUG] : Send to jeedom : {‹ devices ›: {‹ 48:CF:6C:52:57:CA ›: {‹ present ›: 1, ‹ type ›: ‹ default ›, ‹ rssi ›: -84, ‹ id ›: ‹ 48:CF:6C:52:57:CA ›, ‹ source ›: ‹ local ›, ‹ name ›: ‹ default ›}}}
[2020-08-02 13:01:09.872][DEBUG] : Starting new HTTP connection (1): 127.0.0.1:80
[2020-08-02 13:01:09.925][DEBUG] : http://127.0.0.1:80 « POST /plugins/blea/core/php/jeeBlea.php?apikey=xxxxxxxxxxHTTP/1.1 » 200 0
[2020-08-02 13:01:20.024][DEBUG] : SCANNER------[(1, ‹ Flags ›, ‹ 1a ›), (10, ‹ Tx Power ›, ‹ 18 ›), (255, ‹ Manufacturer ›, ‹ 4c00100500182af514 ›)] True random 51:02:ec:3c:a5:44
[2020-08-02 13:01:20.026][DEBUG] : SCANNER------It’s an unknown packet but not sent because this device is not Included and I’am not in learn mode 51:02:ec:3c:a5:44
[2020-08-02 13:01:26.246][DEBUG] : SCANNER------Clearing seen

on voit qu’il a « vu » le device 48:CF:6C:52:57:CA et qu’il a envoyé l’info présence à jeedom
il a aussi vu le device 51:02:ec:3c:a5:44 mais il n’était pas en learn.

Pour ce qui est du scan, le log n’était pas complet car il commence par…

[2020-08-02 12:59:23.754][DEBUG] : HEARTBEAT------Quitting learn mode (60s elapsed)

la fin du scan.

Alors oui de temps en temps il trouve bien des devices mais ne les reconnait pas comme auparavant.
Je vais essayer au pire de retrouver à partir de l’adresse 51:02:ec:3c:a5:44 (par exemple) à qui elle appartient.